package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public interface ISeal extends IDataBase
{
    public SealInfo getSealInfo(IObjectPK pk) throws BOSException, EASBizException;
    public SealInfo getSealInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public SealInfo getSealInfo(String oql) throws BOSException, EASBizException;
    public SealCollection getSealCollection() throws BOSException;
    public SealCollection getSealCollection(EntityViewInfo view) throws BOSException;
    public SealCollection getSealCollection(String oql) throws BOSException;
    public void syncSeals() throws BOSException, EASBizException;
}